#!/bin/bash
if [ $# -eq 0 ]; then data=$(date +%A | sed 'y/áéíóç/aeioc/'); fi
if [ $# -eq 1 ]; then data=$1; fi

function pause(){
   read -p "$*"
   }

function ave_maria(){
echo "Ave-Maria, cheia de graça, o Senhor é convosco, bendita sois vós entre as mulheres 
e bendito é o fruto do vosso ventre, Jesus. Santa Maria, Mãe de Deus, 
rogai por nós pecadores, agora e na hora de nossa morte. Amém."      
         }

function pai_nosso(){
echo "Pai nosso, que estais no céu, santificado seja o vosso nome, venha a nós o vosso reino, 
seja feita a vossa vontade assim na terra como no céu. O pão nosso de cada dia nos dai hoje, 
perdoai-nos as nossas ofensas, assim como nós perdoamos a quem nos tenha ofendido e 
não nos deixeis cair em tentação, mas livrai-nos do mal. Amém."
}

function gloria_ao_pai(){
echo "Glória ao Pai, ao Filho e ao Espírito Santo. Como era no princípio, agora e sempre. Amém!
Ó meu Jesus, perdoai-nos, livrai-nos do fogo do inferno, levai as almas todas para o céu e socorrei  
principalmente as que mais precisarem."
}

function salve_rainha(){
echo "Infinitas graças vos damos, Soberana Rainha, pelos benefícios que todos os dias recebemos de vossas mãos liberais. 
Dignai-vos, agora e para sempre tomar-nos debaixo do vosso poderoso amparo e para mais vos obrigar, vos saudamos 
com uma ... 
Salve Rainha, Mãe de misericórdia, vida,  doçura, esperança nossa, salve! 
A vós bradamos os degredados filhos de Eva, a vós suspiramos, gemendo e chorando neste vale de lágrimas. 
Eia, pois, Advogada nossa, estes vossos olhos misericordiosos a nós volvei, e depois deste desterro, mostrai-nos Jesus. 
Bendito é o fruto do vosso ventre, ó clemente, ó piedosa, ó doce e sempre Virgem Maria. 
Rogai por nós Santa Mãe de Deus. Para que sejamos dignos das promessas de Cristo.

"
}
clear
echo -e  '\E[1;37;44m
Com este script é possível rezar o terço de maneira prática.

Para rezar os mistérios de cada dia é possível usar um determinado dia como entrada.

Por exemplo o comando:
# ./terço.sh sabado
irá iniciar o terço com os mistérios de sábado.

Se a data do seu computador estiver correta, o comando:
# ./terço.sh
irá iniciar o terço com os mistérios do dia de hoje.

\E[m\n
'
pause '
Aperte [ENTER] para rezar o terço. Iniciamos com o Oferecimento do Terço.
'

echo "Divino Jesus, ofereço-vos este terço que vou rezar, contemplando os mistérios da nossa redenção. 
Pela intercessão de Maria, vossa Mãe Santíssima, a quem me dirijo, concedei-me as virtudes para bem rezá-lo, 
e a graça de ganhar as indulgências desta santa devoção.

Oferecemos, particularmente, em desagravo dos pecados cometidos contra o Santíssimo Coração de Jesus e o 
Imaculado Coração de Maria, pela paz do mundo, pela conversão dos pecadores, pelas almas do purgatório, 
pelas intenções do Papa, pelo aumento e santificação do Clero, pelo nosso Vigário, pela santificação e 
união das famílias, pelas missões, pelos enfermos e agonizantes, por aqueles que pediram nossas orações, 
por todas as nossas intenções mais íntimas e urgentes e pelo Brasil."

pause '
Aperte [ENTER] para iniciar o Credo, segure a cruz do terço em suas mãos.
'

echo "Creio em Deus Pai, todo poderoso, criador do céu e da terra, e em Jesus Cristo seu único Filho, Nosso Senhor, 
que foi concebido pelo poder do Espírito Santo, nasceu da Virgem Maria, padeceu sob Pôncio Pilatos, 
foi crucificado, morto e sepultado, desceu à mansão dos mortos, ressuscitou ao terceiro dia, 
subiu aos céus e está sentado à direita de Deus Pai todo poderoso, donde há de vir a julgar os vivos e os mortos; 
creio no Espírito Santo, na santa Igreja Católica, na comunhãos dos santos, na remissão dos pecados, 
na Ressurreição da carne e na vida eterna. Amém."

pause '
Aperte [ENTER] para iniciar o Pai-Nosso.
'
pai_nosso
pause '
Aperte [ENTER] para iniciar a primeira Ave-Maria em honra à Deus Pai que nos criou.
'
ave_maria
pause '
Aperte [ENTER] para iniciar a segunda Ave-Maria em honra a Deus Filho que nos remiu.
'
ave_maria
pause '
Aperte [ENTER] para iniciar a terceira Ave-Maria em honra a Deus Espírito Santo que nos santifica.
'
ave_maria
pause '
Aperte [ENTER] para iniciar a Glória ao Pai.
'
gloria_ao_pai

pause '
Aperte [ENTER] para iniciar o Primeiro Mistério.
'
if [ $data = segunda ] || [ $data = sabado ]; then 
mist=gozoso
elif [ $data = terca ] || [ $data = sexta ]; then
mist=doloroso
elif [ $data = quarta ] || [ $data = domingo ]; then
mist=glorioso
elif [ $data = quinta ] ; then
mist=luminoso
fi
if [ $mist = gozoso ]; then
mist[1]="No 1º Mistério Gozoso contemplamos Anunciação do Anjo à Nossa Senhora."
mist[2]="No 2º Mistério Gozoso contemplamos a visita de Nossa Senhora à sua prima Isabel."
mist[3]="No 3º Mistério Gozoso contemplamos o nascimento de Jesus."
mist[4]="No 4º Mistério Gozoso contemplamos a apresentação do Menino Jesus no Templo."
mist[5]="No 5º Mistério Gozoso contemplamos a perda e encontro de Jesus no Templo."
elif [ $mist = doloroso ]; then
mist[1]="No 1º Mistério Doloroso contemplamos a agonia mortal de Jesus, no Horto das Oliveiras."
mist[2]="No 2º Mistério Doloroso contemplamos como Jesus foi açoitado e flagelado."
mist[3]="No 3º Mistério Doloroso contemplamos como Jesus foi cruelmente coroado de espinhos por seus algozes."
mist[4]="No 4º Mistério Doloroso contemplamos como Jesus pacientemente carrega sua cruz ao Calvário."
mist[5]="No 5º Mistério Doloroso contemplamos a crucificação e morte de  Jesus."
elif [ $mist = glorioso ]; then
mist[1]="No 1º Mistério Glorioso contemplamos a Ressurreição triunfante de Nosso Senhor Jesus Cristo."
mist[2]="No 2º Mistério Glorioso contemplamos a Ascensão de Jesus ao Céu."
mist[3]="No 3º Mistério Glorioso contemplamos a vinda do Espírito Santo sobre os Apóstolos."
mist[4]="No 4º Mistério Glorioso contemplamos a Assunção gloriosa de Nossa Senhora ao Céu."
mist[5]="No 5º Mistério Glorioso contemplamos a Coroação de Nossa Senhora como Rainha dos Céu e da Terra."
elif [ $mist = luminoso ]; then
mist[1]="No 1º Mistério Luminoso contemplamos o batismo de Jesus no Jordão."
mist[2]="No 2º Mistério Luminoso contemplamos o 1º milagre de Jesus nas Bodas de Caná."
mist[3]="No 3º Mistério Luminoso contemplamos a proclamação do Reino de Deus e convite à conversão."
mist[4]="No 4º Mistério Luminoso contemplamos a Transfiguração de Jesus."
mist[5]="No 5º Mistério Luminoso contemplamos a Instituição da Eucaristia."
fi

for i in 1 2 3 4 5; do
clear
echo -e "

\E[1;37;44m ${mist[i]}\E[m\n
"
pai_nosso
for a in $(seq -ws' ' 1 10); do 
echo "
${a}ª Ave-Maria"
ave_maria
pause "[ENTER]
"
done
echo " "
gloria_ao_pai
pause "[ENTER] "
done
echo " 

" 
clear
echo -e '\E[1;37;44m No final fazemos um agradecimento a Nossa-Senhora [ENTER] \E[m\n'
pause '
'
salve_rainha 
